Bug 56795 - Some Xt widgets don't set background color correctly
Some Xt widgets don't set background color correctly
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-11-27 17:11 EST by Richard Stover
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-11-27 17:11:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Richard Stover 2001-11-27 17:11:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
Xt command widgets don't set their background color properly when the
color is changed in response to a ButtonRelease event. This seems to be an
incorrect interaction with the widget's normal color inversion due to a

At the supplied url you will find a very simple C program which illustrates
problem. This program works properly under RH 6.1, Solaris, SunOs and
every other system I've been able to test it on. Similar code has worked
over 10 years on a wide variety of systems.

When the program works correctly the background color is toggle between red
and white with each left button click. Under RH7.1 the background and
colors get rather confused. It is easier to try it than to describe exactly
what happens.

Version-Release number of selected component (if applicable):
Name        : XFree86-devel                Relocations: (not relocateable)
Version     : 4.0.3                             Vendor: Red Hat, Inc.
Release     : 5                             Build Date: Fri 30 Mar 2001
08:53:34 PM CST

How reproducible:

Steps to Reproduce:
1. Copy bgtest.c and Makefile from ftp site
2. make
3. bgtest
    Click left mouse button in the widget.


Actual Results:  Background color not set properly.

Expected Results:  Background color should toggle between red and white.

Additional info:
Comment 1 Mike A. Harris 2001-12-02 08:58:29 EST
This bug is unlikely to be Red Hat specific, and more likely to be
generic to all XFree86 releases.  Please file a bug report upstream
with XFree86 directly, where it can get a higher level of exposure
by people more familiar with the Xt code.

You can file a report by going to: http://www.xfree86.org/cgi-bin/bugform.cgi

Note You need to log in before you can comment on or make changes to this bug.